
<%@ page language="java"  pageEncoding="GB2312" contentType="text/html;charset=GB2312"%>
<%@ include file="/common/taglibs.jsp"%>
<%@ include file="/common/meta.jsp"%>
<script language="javascript" src='<c:url value="/scripts/change_page.js"/>'></script>
<script language="javascript" src='<c:url value="/scripts/common.js"/>'></script>
<Script language="javascript">
<!--
/**
 * form 表单
 * pageNo 翻页页码
 */

function dowork(how, entityid) {
	var form = document.leadsortForm;
	var pageCurrent = '<c:out value="${pageObject.pageCurrent}"/>';
	var pageCount = '<c:out value="${pageObject.pageCount}"/>';
	var mid = getChecked(form);
	switch(how) {
		case 'add' : 
			//window.location.href='<c:url value="/sys/cmsComment/addCMSComment.html"/>';
			form.action = '<c:url value="/sys/leadsort/addLeadsort.html"/>';
			form.id.value = "";
			form.method.value = "add" ;
			form.submit();
			break;
		case 'edit' : 
		    if(entityid == "") {
				alert("请选择修改项!");
			} else {
				//window.location.href='<c:url value="/sys/cmsComment/editCMSComment.html"/>?id=' + entityid;
				form.action = '<c:url value="/sys/leadsort/editLeadsort.html"/>';
				form.id.value = entityid;
				form.method.value = "edit" ;
			    form.submit();
			    break;
			}
			break;
		case 'del' :
			var ids = getChecks(form);
		    if(ids == "") {
				alert("请选择删除项!");
			} else if(confirm("是否删除所选项?")){
				form.action = '<c:url value="/sys/leadsort/deleteLeadsort.html"/>';
				form.method.value="delete";
				form.submit();
			}			
			break;	
		case 'view':
		    if(entityid == "") {
				alert("请选择查看项项!");
			} else {
				//window.location.href='<c:url value="/sys/cmsarticle/editCMSArticle.html"/>?id=' + entityid;
				openWin7('<c:url value="/sys/leadsort/viewLeadsort.html"/>?method=view&id=' + entityid);
			    break;
			}
			break;
		case 'search':
			if (form.keyword.value==""){
				alert("请填写检索内容");
				form.keyword.focus() ;
			}else{
				form.action ='<c:url value="/sys/leadsort/findLeadsort.html"/>';
				form.method.value="find" ;
				form.submit() ;
			}
			break;
	}//end switch
}
function refreshLeft() {
	//alert(parent.left.location);
	parent.left.location.reload();
}
//-->
</script>
<html>
<head>
<title>领导分类</title>
<link rel="stylesheet" type="text/css" href="../include/style.css">
<META NAME="Author" CONTENT="xunuo">
<META NAME="Keywords" CONTENT="xunuo">
<META NAME="Description" CONTENT="自动生成">
</head>
<body onLoad="refreshLeft();">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td colspan="2" bgcolor="#f6f6f6" align="right" style="cursor:hand" onClick="if(HelpTab.style.display=='none'){HelpTab.style.display='';window.scrollTo(window.pageXOffset,0);}else{HelpTab.style.display='none'}">&nbsp;<img src='<c:url value="/sys/images/why.gif"/>' width="14" height="14"> 
      ::Help::</td>
  </tr>
  <tr Id="HelpTab" style="display:none"> 
    <td width="2%">&nbsp;</td>
    <td width="98%" valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
		<tr>
			<td height="10" width="10"></td>
			<td></td>
		</tr>
        <tr>
			<td>·</td>
			<td><b>名词说明：领导职务</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>表示本政府领导的职务，如：书记、主任等等<p></td>
        </tr>
        <tr>
			<td>·</td>
			<td><b>功能说明</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>关于删除、上移和下移，需要选择复选框之后才能继续。删除可以多选，上移下移一次只移动最上面的<b>一个</b>选项。添加按钮前面的复选框表示全选。<p></td>
        </tr>
        <tr>
			<td>·</td>
			<td><b>注明</b></td>
        </tr>
        <tr> 
			<td></td>
			<td>本网站前台首页中领导信箱中只显示最前面两种职务的领导，如有更多，则在领导信箱页面中显示。<p></td>
        </tr>
      </table>
      <a name="Help"></a></td>
  </tr>
</table>

<html:form action="/sys/leadsort/searchLeadsort.html">
<html:hidden property="pageCurrent"/>
<html:hidden property = "id" value="" />
<input type="hidden" name="method" value=""><!--这里需要填写父目录struts如：searchItemsByParent-->
<html:hidden property = "status" />
<input type="hidden" name="firstId" value="<c:out value="${firstId}"/>">
<input type="hidden" name="lastId" value="<c:out value="${lastId}"/>">
<table border="0" cellpadding="4" cellspacing="1" class=table width="100%">
	<tr>
      <th width="615" align="center"  colspan="3">领导分类</th>
      <th width="105" align="center" colspan="2">操作</th>
    </tr>
	<tr class="td">
		<td width = "5"></td>
    
      <td align="center" nowrap>领导职务</td>
    
      <td align="center" nowrap>状态</td>

		<td class="td"  nowrap  align="center">预览</td>
		<td class="td"  nowrap  align="center">编辑</td>
	</tr>
	<c:forEach var="leadsort" items="${leadsortList}">
	<tr class="td">
	<td><input type="checkbox" id="ids" name="ids" value='<c:out value="${leadsort.id}"/>' <c:if test="${leadsortForm.id == leadsort.id}">checked</c:if>></td>
    
		<td><c:out value="${leadsort.leadappellation}"/></td>
    
		<td><c:if test="${leadsort.status == 1}" >显示</c:if><c:if test="${leadsort.status == 0}" >不显示</c:if></td>

		<td align=center><a href='javascript: dowork("view", "<c:out value="${leadsort.id}"/>");'>预览</a></td>
		<td align=center><a href='javascript: dowork("edit", "<c:out value="${leadsort.id}"/>");'>编辑</a></td>
	</tr>
	</c:forEach>
		  <!-- 操作 start -->

		  <!-- 操作 end -->
		  <!-- 分页 start -->
		<td align="right" style="background-color:#eeeeee" colspan="5">
			<script language="javascript">
	            drawDispartPageView("document.leadsortForm", <c:out value="${pageObject.pageCurrent}"/>, <c:out value="${pageObject.pageCount}"/>, <c:out value="${pageObject.rowCount}"/>);
	        </script>
			</td>
          </tr>
		 </table><br>
		  <!-- 分页 end -->
	<table border="0" cellpadding="4" cellspacing="1" class=table width="100%">
		<tr class="td">
            <td colspan="5" style="background-color:#eeeeee">
			<input type="checkbox" name="allcheck" onclick="selectAll(this.form, this.checked);">
            <input type="button" class="button" value="添加" name="add" onclick="dowork('add');" <c:if test="${isGuest}">disabled</c:if>>
			<input type="button" onclick="dowork('del');" value="删除" class=button name=alldell <c:if test="${isGuest}">disabled</c:if>>
            </td>
		</tr>
	</table>
</html:form>

</body>
</html>

